%define name cdrecord
%define archname cdrtools

%define subrel 2
%define release %mkrel 0.a11.2
%define dversion 2.01.01a11
%define version 2.01.01
%define prefix /usr
%define mkisofs_ver 2.01.01
%define mkisofs_rel %release

%define build_vanilla 1
%{?_with_vanilla: %define build_vanilla 1}

Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Epoch: 4
Summary: A command line CD/DVD-Recorder
Group: Archiving/Cd burning
Icon: cdrecord-logo.xpm
URL: http://www.fokus.gmd.de/research/cc/glone/employees/joerg.schilling/private/cdrecord.html
Source: ftp://ftp.berlios.de/pub/cdrecord/%{archname}-%{dversion}.tar.bz2
# http://www.abcpages.com/~mache/cdrecord-dvd.html
Patch0: cdrecord-2.01-CAN-2004-0806.patch
Patch10: cdrtools-2.01.01a04-dvd.patch
Patch11: cdrtools-2.01a28-o_excl.patch
Patch12: cdrtools-2.01a27-writemode.patch
Patch13: cdrtools-2.01.01a04-rawio.patch
Patch14: cdrtools-2.01.01a03-warnings.patch
Patch15: cdrtools-2.01.01a01-scanbus.patch
Patch16: cdrtools-2.01.01a03-rezero.patch
Patch17: cdrtools-2.01.01-scsibuf.patch
Patch18: mkisofs-iconv-11.patch
BuildRoot: %{_tmppath}/%{name}-%{dversion}-buildroot
Requires: mkisofs
Requires(pre): /usr/sbin/groupadd rpm-helper
Obsoletes: cdrecord-dvdhack =< 4:2.01-0.a15.2mdk
Provides: cdrecord-dvdhack = %{epoch}:%{version}-%{release}
BuildRequires: libcap-devel 

%package devel
Summary: The libschily SCSI user level transport library
Group: Development/C

%package cdda2wav
Summary: CD-Audio to .wav converter
Group: Sound
Icon: cdda2wav-logo.xpm
Requires(pre): rpm-helper

%package -n mkisofs
Version: %{mkisofs_ver}
Release: %{mkisofs_rel}
Epoch: 1
Group: Archiving/Cd burning
Icon: mkisofs-logo.xpm
Summary: Creates an image of an ISO9660 filesystem.

%package isotools
Group: Archiving/Cd burning
Summary: Collection of ISO files related tools

%description
Cdrecord allows you to create CDs on a CD-Recorder (SCSI/ATAPI).
Supports data, audio, mixed, multi-session and CD+ discs etc.

%description devel
The cdrecord distribution contains a SCSI user level transport
library.  The SCSI library is suitable to talk to any SCSI device
without having a special driver for it.

Cdrecord may be easily ported to any system that has a SCSI device
driver similar to the scg driver.

%description cdda2wav
cdda2wav reads audio CDs, outputting a wav file.

%description -n mkisofs
This is the mkisofs package.  It is used to create ISO 9660
file system images for creating CD-ROMs. Now includes support
for making bootable "El Torito" CD-ROMs.

%description isotools
isodebug
isodump
isoinfo
isovfy

%if %build_vanilla
%package vanilla
Group: Archiving/Cd burning
Summary: Vanilla version of cdrecord
Requires: cdrecord

%description vanilla
Vanilla version without DVD patch.
%endif

%prep

%setup -q -n %{archname}-%{version}

%patch0 -p1 -z .CAN-2004-0806
%patch14 -p1 -z .warnings
%patch16 -p1 -z .rezero

# Other Patches are applied after build_vanilla


%build
ln -sf i586-linux-cc.rul RULES/ia64-linux-cc.rul
ln -sf i586-linux-cc.rul RULES/x86_64-linux-cc.rul
ln -sf i586-linux-cc.rul RULES/amd64-linux-cc.rul
ln -sf i686-linux-cc.rul RULES/athlon-linux-cc.rulf

perl -pi -e 's,/usr/src/linux/include,/usr/include/,' DEFAULTS/Defaults.linux

perl -pi -e "s/^XK_ARCH:=.*/XK_ARCH:=   %{_target_cpu}/" RULES/mk-gmake.id

%if %build_vanilla
./Gmake
pushd cdrecord/OBJ/*-linux-cc/ && mv cdrecord cdrecord-vanilla && popd
%endif

# removed because failing cat %{PATCH10} | patch -p1 -b -z .dvd
# removed bzcat %{PATCH11} | patch -p1 -b -z .o_excl
# removed bzcat %{PATCH12} | patch -p1 -b -z .writemode
#cat %{PATCH13} | patch -p1 -b -z .rawio
#cat %{PATCH15} | patch -p1 -b -z .scanbus
#cat %{PATCH17} | patch -p1 -b -z .scsibuf
cat %{PATCH18} | patch -p1 -b -z .iconv

./Gmake

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

./Gmake "INS_BASE=$RPM_BUILD_ROOT/%{prefix}" install MANDIR=share/man

install -m 755 cdda2wav/cdda2{mp3,ogg} $RPM_BUILD_ROOT%{_bindir}/

# Move libraries to the right directories
[[ "%_lib" != "lib" ]] && \
mv $RPM_BUILD_ROOT%{_prefix}/lib $RPM_BUILD_ROOT%{_libdir}

%if %build_vanilla
install -m 755 cdrecord/OBJ/*linux-cc/cdrecord-vanilla $RPM_BUILD_ROOT%{_bindir}/
%endif

rm $RPM_BUILD_ROOT%{_bindir}/btcflash

%pre
%_pre_groupadd cdwriter

%postun
%_postun_groupdel cdwriter

%pre cdda2wav
%_pre_groupadd cdwriter

%postun cdda2wav
%_postun_groupdel cdwriter

%clean
rm -rf $RPM_BUILD_ROOT

%if %build_vanilla
%files vanilla
%attr(755,root,cdwriter) %{_bindir}/cdrecord-vanilla
%endif

%files
%attr(-,root,root) %doc AN-%{dversion} doc/cdrecord.ps doc/isoinfo.ps Changelog README*
%attr(755,root,cdwriter) %{_bindir}/cdrecord
%attr(755,root,cdwriter) %{_bindir}/devdump
%attr(755,root,cdwriter) %{_bindir}/scgcheck
%attr(755,root,cdwriter) %{_bindir}/readcd
%attr(755,root,cdwriter) %{_sbindir}/rscsi
%attr(755,root,cdwriter) %{_bindir}/skel
%attr(644,root,root) %{_mandir}/man1/cdrecord.1*
%attr(644,root,root) %{_mandir}/man1/readcd.1*
%attr(644,root,root) %{_mandir}/man1/scgcheck.1*
%attr(644,root,root) %{_mandir}/man8/isoinfo.8*
%attr(644,root,root) %{_mandir}/man5/makefiles.5*
%attr(644,root,root) %{_mandir}/man5/makerules.5.*
%attr(644,root,root) %{_mandir}/man1/btcflash.1.bz2
%attr(644,root,root) %{_mandir}/man8/devdump.8.bz2
%attr(644,root,root) %{_mandir}/man8/isodebug.8.bz2
%attr(644,root,root) %{_mandir}/man8/isodump.8.bz2
%attr(644,root,root) %{_mandir}/man8/isovfy.8.bz2

%files cdda2wav
%defattr(-,root,root)
%doc doc/cdda2wav.ps cdda2wav/FAQ cdda2wav/README Changelog
%attr(755,root,cdwriter) %{_bindir}/cdda2wav
%attr(755,root,root) %{_bindir}/cdda2mp3
%attr(755,root,root) %{_bindir}/cdda2ogg
%attr(644,root,root) %{_mandir}/man1/cdda2wav.1*
%attr(644,root,root) %{_mandir}/man1/cdda2ogg.1*

%files devel
%defattr(-,root,root)
%doc AN-*
%attr(644,root,root) %{_libdir}/*.a
%attr(644,root,root) %{_includedir}/*.h

%files -n mkisofs
%defattr(-,root,root)
%doc mkisofs/COPYING mkisofs/ChangeLog README mkisofs/TODO mkisofs/README.*
%doc doc/mkisofs.ps
%{_bindir}/mkisofs
%{_bindir}/mkhybrid
%attr(644,root,root) %{_mandir}/man8/mkisofs.8*
%attr(644,root,root) %{_mandir}/man8/mkhybrid.8*

%files isotools
%defattr(-,root,root)
%attr(755,root,cdwriter) %{_bindir}/isodump
%attr(755,root,cdwriter) %{_bindir}/isodebug
%attr(755,root,cdwriter) %{_bindir}/isoinfo
%attr(755,root,cdwriter) %{_bindir}/isovfy



%changelog
* Mon Jul 23 2007 Sebastian Trueg <strueg@mandriva.com> 2.01.01-0.a11.2.2mdv2007.0
+ Revision: 54722
- Removed non-working patches and fixed 64bit build
- Fixed patch application.
- Added mkisofs unicode support patch.
- Added patch file for mkisofs unicode support through iconv.


* Thu Aug 24 2006 warly
+ 2006-08-24 13:45:19 (57858)
various rpmlint changes

* Wed Jul 19 2006 warly
+ 2006-07-19 11:22:49 (41613)
changelog is only in svn

* Wed Jul 19 2006 warly
+ 2006-07-19 10:31:06 (41603)
updated spec for a11

* Wed Jul 19 2006 warly
+ 2006-07-19 10:09:29 (41601)
new version 2.01.01a11

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 12:36:37 (31646)
renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Fri Jan 27 2006 mandrake
+ 2006-01-27 11:26:36 (1481)
import 2.01.01-0.a04.1mdk

* Thu Jan 26 2006 Warly <warly@mandriva.com> 4:2.01.01-0.a04.1mdk
- new version
   - Correctly evaluate the write speeds for Ultra speed+ CD-RW media.
     This prevents wrong warnings that the "drive does not support Ultra speed+

* Thu Oct 06 2005 Warly <warly@mandriva.com> 4:2.01.01-0.a03.4mdk
- DVD+R need a special fix command to be readable, fix the DVD patch.

* Mon Sep 12 2005 Warly <warly@mandriva.com> 4:2.01.01-0.a03.3mdk
- add couriousous patch to be able to burn as user and cdrecord suid

* Wed Aug 03 2005 Warly <warly@mandriva.com> 4:2.01.01-0.a03.2mdk
- fix burning as user for kernel >= 2.6.12

* Tue Jul 12 2005 Warly <warly@mandriva.com> 4:2.01.01-0.a03.1mdk
- new version

* Thu Apr 07 2005 Warly <warly@mandrakesoft.com> 4:2.01.01-0.a01.6mdk
- remove again exclusivity patch

* Mon Mar 21 2005 Warly <warly@mandrakesoft.com> 4:2.01.01-0.a01.5mdk
- Remove a read_track_info in DVD mode which seems to fail.

* Wed Mar 02 2005 Warly <warly@mandrakesoft.com> 4:2.01.01-0.a01.4mdk
- try to improve the DL mode (however still get very bad message when 
- remove exclusivity patch, too many users are complaining.
closing the session, moreover the dual layer split seems not to work 
correctly on GSA-4160B)

* Thu Jan 27 2005 Warly <warly@mandrakesoft.com> 4:2.01.01-0.a01.3mdk
- use SESSION instead of TRACK for next track address in DVD mode

* Wed Jan 19 2005 Warly <warly@mandrakesoft.com> 4:2.01.01-0.a01.1mdk
- new version
- remove setuid bits for new kernel (> 2.6.9)
- Allow scanbus as user
- Add DVD+R Dual Layer support
- Try not to reload media with DVD+RW in rewrite mode
- Try to improve multisession (it seems to still be broken) 
- Default to SAO mode if a DVD medium is detected
- Better check of available size depending of the medium profile (especially DVD+R DL)

* Thu Sep 09 2004 Warly <warly@mandrakesoft.com> 4:2.01-1mdk
- 2.01 final version

* Wed Sep 08 2004 Warly <warly@mandrakesoft.com> 4:2.01-0.a38.2mdk
- security updates CAN-2004-0806

* Fri Aug 27 2004 Warly <warly@mandrakesoft.com> 4:2.01-0.a38.1mdk
- new version
- add Couriousous patch to keep rawio capabitities to be able to burn as user with linux 2.6.8
- remove some warnings

* Thu Aug 12 2004 Warly <warly@mandrakesoft.com> 4:2.01-0.a35.1mdk
- new version (better DMA speed guesses)

* Mon Aug 02 2004 Warly <warly@mandrakesoft.com> 4:2.01-0.a35.1mdk
- new version

* Tue Jun 22 2004 Warly <warly@mandrakesoft.com> 4:2.01-0.a32.1mdk
- new packages isotools with ISO files related commands
- new version, mainly cosmetic fixes

* Fri Jun 11 2004 Warly <warly@mandrakesoft.com> 4:2.01-0.a31.1mdk
- fix speed factor when burning CD in a DVD burner
- add vanilla package without any modification
- new version
- Add a warning to scanbus when the ATA bus is selected

* Thu May 13 2004 Warly <warly@mandrakesoft.com> 4:2.01-0.a28.3mdk
- fix DVD+RW formating when done for the first time
- fix speed selection on LG burner

* Mon May 03 2004 Warly <warly@mandrakesoft.com> 4:2.01-0.a28.2mdk
- Add speed selection support in DVD mode

* Thu Apr 22 2004 Warly <warly@mandrakesoft.com> 4:2.01-0.a28.1mdk
- new versiom

* Thu Apr 22 2004 Warly <warly@mandrakesoft.com> 4:2.01-0.a27.3mdk
- fix a type in command line parsing (thanks to Stephen Beahm)

* Thu Mar 11 2004 Warly <warly@mandrakesoft.com> 4:2.01-0.a27.1mdk
- a27 (fix an misdetection in burning mode)
- get inspiration from RedHat patch to open with E_EXCL to lock the device and 
  prevent some broken burners to interupt the burning when magicdev, for example, poll
  the device.

* Thu Mar 04 2004 Warly <warly@mandrakesoft.com> 4:2.01-0.a26.3mdk
- fix burning speed multiplier for DVD

* Thu Mar 04 2004 Warly <warly@mandrakesoft.com> 4:2.01-0.a26.2mdk
- fix bad dvd extension added to wrong place
- does not display the burning mode warning

* Tue Mar 02 2004 Warly <warly@mandrakesoft.com> 4:2.01-0.a26.1mdk
- new version

* Tue Mar 02 2004 Warly <warly@mandrakesoft.com> 2.01-0.a25.5mdk
- fix DVD+RW formating

* Mon Mar 01 2004 Warly <warly@mandrakesoft.com> 4:2.01-0.a25.4mdk
- Does not display ATA bus devices if dev= is passed with scanbus (needed by xcdroast DVD patch)

* Thu Feb 26 2004 Warly <warly@mandrakesoft.com> 4:2.01-0.a25.3mdk
- fix DVD+R detection on some burner
- add -dvd in version

* Mon Feb 23 2004 Warly <warly@mandrakesoft.com> 4:2.01-0.a25.2mdk
- remove a get_configuration which was disabling DMA on some burner on a CJ Kucera suggestion
- default to ATA probing in scanbus if no SCSI devices found

* Thu Jan 22 2004 Warly <warly@mandrakesoft.com> 4:2.01-0.a25.1mdk
- new version
- use glibc kernel headers

* Mon Dec 15 2003 Warly <warly@mandrakesoft.com> 4:2.01-0.a20.2mdk
- fix format syntax problem in command line

* Thu Dec 11 2003 Warly <warly@mandrakesoft.com> 4:2.01-0.a20.1mdk
- new version
- DVD+R(W) patch

* Fri Nov 07 2003 Warly <warly@mandrakesoft.com> 4:2.01-0.a19.1mdk
- new version

